Subject: FW: [Mip6] GRE key

From: "Sri Gundavelli" <[email-masked]>
Date: Tue, 24 Apr 2007 10:19:40 -0700

Hi Alex:

 Please see inline ..

Sri

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Tuesday, April 24, 2007 9:50 AM
> To: Sri Gundavelli
> Cc: 'Mohamed Khalil'; [email-masked]
> Subject: Re: [Mip6] GRE key
> 
> Sri Gundavelli wrote:
> > quick comments on this ....
> > 
> > 
> > Several reasons I believe GRE is not necessary for PMIPv6.
> > 
> > Does GRE work transporting IPv6?  I thought it only transports IPv4.
> > PMIPv6 assumes IPv6 applications first, in my understanding.
> > 
> > 
> > [Sri] 2784 does not disallow the IPv6 transport. The note in the
> > Appendix section just states, at that time when the spec was
> > written, there were no known implementation supporting GRE over
> > IPv6. It needs to be understood that the GRE implementations were
> > out there first before the spec came out and so the comment was
> > in that context. Cisco has GRE support over IPv6 for years and
> > nothing in the spec prevents that.
> 
> Let me clarify this... can a Cisco router transport IPv6 _over_ IPv4 
> with GRE? (not IPv6 over IPv6 with GRE).
> 

Yes.

interface tunnel 5
 tunnel mode gre [ip] | [ipv6]
              
Once the GRE mode and the transport is chosen, 
both IPv4 and IPv6 payloads can be carried.

> I agree the spec doesn't prevent it.  But it doesn't say what the 
> Protocol Type is either (in the case of IPv6).  It refers to 
> an invalid 
> http address.  So how could one implement it?
> 

True. The protocol number for IPv6 is not explicitly specified.
But, the "Protocol Type" field needs to be interpreted as its
used in Ethernet frames when carrying IPv6 packets. If its needed,
may be the IPv6 WG can have a 1-page write up on clarifying this. 
I'm sure, there are many implementations in the field and need to
verify if there is an ambiguity there. Also, the use case here is
is for IPv4 and IPv6 transports. 

> >> So in this context, can I ask why GRE?  It's not used by MIPv6, was
> >> never suggested by DS-MIPv6, can't transport IPv6 and has several
> >> implemented alternatives.  Why GRE?
> > 
> > [Sri] There are many use cases. It should be discussed later, IMO.
> 
> Ok, sorry for disturbing, let's see later.
> 

No, not at all. Since, this is an extension work, closing up on the
base work will clarify lot of things. So, was suggesting a discussion
at a later point.

Sri

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6